OAuth v2.0

Start the authorization flow

get

Request to start an authorization flow. For additional details, see the OAuth v2.0 specarrow-up-right or the OpenID Connect §3.1.2.1arrow-up-right.

Query parameters
response_typestringRequired

OAuth v2.0 response type. This value MUST be code for the Authorization Code Flow.

Example: code
client_idstringRequired

OAuth v2.0 client identifier previously registered at the Authorization Server. Identifies the client making the request.

Example: my-client-id-123
scopestringRequired

OpenID Connect scope values indicating the access requested.This MUST include openid as one of the space-delimited values.

Example: openid profile email
definition_idstringRequired

The ID of the template definition. Similar to scope, this defines the data requested

Example: openid profile email
redirect_uristring · uriRequired

Redirection URI to which the response will be sent. This URI MUST exactly match one of the pre-registered redirect URIs for the client.

Example: https://client.example.org/cb
statestringOptional

Opaque value used to maintain state between the request and the callback. This value is used to mitigate cross-site request forgery (CSRF) attacks. If present in the request, it MUST be returned unchanged in the response.

Example: af0ifjsldkj
Responses
chevron-right
200

A success response contains basic information for the client to start presenting credentials:

application/json
authorization_idstringOptional

ID of this authorization session

client_namestringOptional

Branding

client_logo_urlstringOptional

Branding

client_colorstringOptional

Branding

verification_uristringOptional

Shown as a QR code

statusstringOptional

Status of the authorization session

get
/v1/oauth2/authorization

Exchange authorization code for access token

post

Exchange the authorization code received in the authorization flow for a JWT Access Token. Encode request parameters as application/x-www-form-urlencoded.

Authorizations
AuthorizationstringRequired

Security scheme used in the POST v1/oauth2/authorization/token endpoint to exchange the authorization_code for an access_token

Body
grant_typestring · enumRequired

Value MUST be set to authorization_code.

Possible values:
codestringRequired

The authorization code received from the authorization server.

redirect_uristringRequired

The value must match the redirect_uri sent in the authorization request.

Responses
chevron-right
200

Access token response

application/json
access_tokenstringRequired

access token

token_typestringRequired

Type of token. Will always be Bearer.

expires_ininteger · int32Required

Duration in seconds until the token expires.

post
/v1/oauth2/authorization/token
200

Access token response

Last updated